
From: Russell King <rmk+lkml@arm.linux.org.uk>

Ensure that sound/arm/Makefile is sanely organised so that additions to it
don't break all other patches out there.  This means I only have to adjust
the line numbers in my patch queue rather than having to re-generate by
hand those which touch this file.

Signed-off-by: Russell King <rmk+kernel@arm.linux.org.uk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 sound/arm/Makefile |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

diff -puN sound/arm/Makefile~fix-sound-arm-makefile-for-locality-of-reference sound/arm/Makefile
--- devel/sound/arm/Makefile~fix-sound-arm-makefile-for-locality-of-reference	2005-07-29 12:46:20.000000000 -0700
+++ devel-akpm/sound/arm/Makefile	2005-07-29 12:46:20.000000000 -0700
@@ -2,12 +2,14 @@
 # Makefile for ALSA
 #
 
-snd-sa11xx-uda1341-objs := sa11xx-uda1341.o
-snd-aaci-objs			:= aaci.o devdma.o
-snd-pxa2xx-pcm-objs := pxa2xx-pcm.o
-snd-pxa2xx-ac97-objs := pxa2xx-ac97.o
-
 obj-$(CONFIG_SND_SA11XX_UDA1341) += snd-sa11xx-uda1341.o 
+snd-sa11xx-uda1341-objs		:= sa11xx-uda1341.o
+
 obj-$(CONFIG_SND_ARMAACI)	+= snd-aaci.o
-obj-$(CONFIG_SND_PXA2XX_PCM) += snd-pxa2xx-pcm.o
-obj-$(CONFIG_SND_PXA2XX_AC97) += snd-pxa2xx-ac97.o
+snd-aaci-objs			:= aaci.o devdma.o
+
+obj-$(CONFIG_SND_PXA2XX_PCM)	+= snd-pxa2xx-pcm.o
+snd-pxa2xx-pcm-objs		:= pxa2xx-pcm.o
+
+obj-$(CONFIG_SND_PXA2XX_AC97)	+= snd-pxa2xx-ac97.o
+snd-pxa2xx-ac97-objs		:= pxa2xx-ac97.o
_
